#include <bits/stdc++.h>
using namespace std;
ifstream f1 ("DQPS.inp");
ofstream f2 ("DQPS.out");
int p(int n)
{
    if(n==0) return 1;
    else return n*p(n-2);
}
int s(int n)
{
    if(n==0) return 1;
    else return n+s(n-2);
}
int main()
{
    int n;
    f1>>n;
    f2<<p(2*n-1)<<endl<<s(2*-1);
}
